Subject: Re: [PATCH v10 04/13] utf8: add function to align a string into given strbuf

From: Junio C Hamano <[email-masked]>
Date: Fri, 14 Aug 2015 09:06:13 -0700

Eric Sunshine <[email-masked]> writes:

> Please extend this documentation to state explicitly that this
> function preserves (does not truncate) the input string if it is wider
> than 'width'. That's quite important information for the caller to
> know.
>
> (Aside: I could easily see this function being extended to support
> optional truncation, but that's a separate topic, and something that
> can be done by someone else when the feature is actually needed; it's
> not your responsibility.)

Thanks for being explicit.  That is exactly what I had in mind when
I commented on this part with "mental note".

Extending what the function does is outside the scope of this topic,
but documenting the current design decision is, in order to help
those who might want to do so.